# Uses of Class
org.apache.lucene.analysis.opennlp.tools.NLPTokenizerOp

Packages that use NLPTokenizerOp
Package
Description
org.apache.lucene.analysis.opennlp
Analysis components based on OpenNLP
org.apache.lucene.analysis.opennlp.tools
Tools to supply access to OpenNLP components.

- ## Uses of NLPTokenizerOp in org.apache.lucene.analysis.opennlp

  Constructors in org.apache.lucene.analysis.opennlp with parameters of type NLPTokenizerOp
  Modifier
  Constructor
  Description
  ``
  `OpenNLPTokenizer(AttributeFactory factory, NLPSentenceDetectorOp sentenceOp, NLPTokenizerOp tokenizerOp)`

- ## Uses of NLPTokenizerOp in org.apache.lucene.analysis.opennlp.tools

  Methods in org.apache.lucene.analysis.opennlp.tools that return NLPTokenizerOp
  Modifier and Type
  Method
  Description
  `static NLPTokenizerOp`
  OpenNLPOpsFactory.`getTokenizer(String modelName)`